gd_frameoffset64(3)

NAME
gd_frameoffset64, gd_alter_frameoffset64 — report or change the frame offset of fields in a dirfile, with largefile support

SYNOPSIS
#define GD_64BIT_API
#include <getdata.h>

gd_off64_t gd_frameoffset(DIRFILE *dirfile, int fragment_index);

int gd_alter_frameoffset64(DIRFILE *dirfile, gd_off64_t offset, int fragment_index, int move);

DESCRIPTION
These versions of and use a 64-bit offset type (gd_off64_t), where one is available, regardless of the size of off_t. They are only available if GD_64BIT_API has been defined before including getdata.h.

If off_t is a 64-bit type, these functions will the same as and Otherwise, and will be versions of these function which use a 32-bit off_t.

SEE ALSO
feature_test_macros(7)